curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usdt_amount": "<string>",
"network": "tron"
}
'{
"deposit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "bank",
"fiat_amount": "<string>",
"fiat_currency": "<string>",
"status": "pending",
"payment_reference": "<string>",
"proof_url": "<string>",
"transfer_date": "2023-11-07T05:31:56Z",
"merchant_request_id": "<string>",
"checkout_request_id": "<string>",
"mpesa_receipt_number": "<string>",
"mpesa_phone_number": "<string>",
"sender_account_name": "<string>",
"sender_account_number_last4": "<string>",
"sender_bank_name": "<string>",
"sender_bank_branch": "<string>",
"receipt_number": "<string>",
"receipt_uploaded_at": "2023-11-07T05:31:56Z",
"proof_file_name": "<string>",
"proof_mime_type": "<string>",
"proof_size_bytes": 123,
"proof_file_sha256": "<string>",
"requested_asset": "<string>",
"requested_network": "<string>",
"requested_crypto_amount": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmed_at": "2023-11-07T05:31:56Z",
"confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejected_at": "2023-11-07T05:31:56Z",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejection_reason": "<string>",
"internal_note": "<string>",
"credited_at": "2023-11-07T05:31:56Z",
"credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usdt_amount": "<string>",
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"message": "<string>"
},
"multisig_required": true,
"proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_signatures": 123,
"current_signatures": 123,
"message": "<string>"
}Proposes a multisig transfer from treasury to merchant wallet. Treasury must be multisig; OTC officer signs manually.
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usdt_amount": "<string>",
"network": "tron"
}
'{
"deposit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "bank",
"fiat_amount": "<string>",
"fiat_currency": "<string>",
"status": "pending",
"payment_reference": "<string>",
"proof_url": "<string>",
"transfer_date": "2023-11-07T05:31:56Z",
"merchant_request_id": "<string>",
"checkout_request_id": "<string>",
"mpesa_receipt_number": "<string>",
"mpesa_phone_number": "<string>",
"sender_account_name": "<string>",
"sender_account_number_last4": "<string>",
"sender_bank_name": "<string>",
"sender_bank_branch": "<string>",
"receipt_number": "<string>",
"receipt_uploaded_at": "2023-11-07T05:31:56Z",
"proof_file_name": "<string>",
"proof_mime_type": "<string>",
"proof_size_bytes": 123,
"proof_file_sha256": "<string>",
"requested_asset": "<string>",
"requested_network": "<string>",
"requested_crypto_amount": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmed_at": "2023-11-07T05:31:56Z",
"confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejected_at": "2023-11-07T05:31:56Z",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejection_reason": "<string>",
"internal_note": "<string>",
"credited_at": "2023-11-07T05:31:56Z",
"credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usdt_amount": "<string>",
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"message": "<string>"
},
"multisig_required": true,
"proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_signatures": 123,
"current_signatures": 123,
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.